org.apache.sis.io.wkt

## Class UnformattableObjectException

- Object
- - Throwable
  - - Exception
    - - RuntimeException
      - - UnsupportedOperationException
        - - UnformattableObjectException

- All Implemented Interfaces:
    Serializable

      public class UnformattableObjectException
      extends UnsupportedOperationException

  Thrown by `FormattableObject​.toWKT()` when an object can not be formatted as WKT. A formatting may fail because an object contains properties which can not be represented by the standard WKT elements.
  Example: An engineering CRS can not be represented in the WKT 1 format if all axes do not use the same unit of measurement. However such CRS can be represented in the WKT 2 format.
  This exception may also be thrown by `Formatter` if the object given to an `append(…)` method is an instance of an unsupported class.
  Since:
    0.4
  See Also:
    `Formatter​.setInvalidWKT(IdentifiedObject, Exception)`, Serialized Form

  Defined in the `sis-metadata` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnformattableObjectException()` Constructs a new exception with no message.
    `UnformattableObjectException(String message)` Constructs a new exception with the specified detail message.
    `UnformattableObjectException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `UnformattableObjectException(Throwable cause)` Constructs a new exception with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnformattableObjectException

          public UnformattableObjectException()

      Constructs a new exception with no message.

    - #### UnformattableObjectException

          public UnformattableObjectException(String message)

      Constructs a new exception with the specified detail message.
      Parameters:
        `message` - the detail message, or `null` if none.

    - #### UnformattableObjectException

          public UnformattableObjectException(String message,
                                              Throwable cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, or `null` if none.
        `cause` - the cause, or `null` if none.

    - #### UnformattableObjectException

          public UnformattableObjectException(Throwable cause)

      Constructs a new exception with the specified cause.
      Parameters:
        `cause` - the cause, or `null` if none.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.